﻿//-----------------------------------------------------------------------------------------------------------
// WBFSSync Project by Omega Frost 
// http://wbfssync.codeplex.com/
//
// WBFSSync is Licensed under the terms of the 
// Microsoft Reciprocal License (Ms-RL)
//-----------------------------------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WBFSe3.IO;
using System.IO;

namespace WbfsSync.Core.Operations
{
    public class FolderOperation : Operation
    {
        //---------------------------------------------------------------------------------------------------
        //
        //---------------------------------------------------------------------------------------------------
        public WbfsPath Directory;
        public FileSystemInfo CurrentFile;


        //---------------------------------------------------------------------------------------------------
        //
        //---------------------------------------------------------------------------------------------------
        public FolderOperation(String name, OperationType type) 
            : base(name, type)
        {
            this.Directory = null;
            this.CurrentFile = null;
        }

        //---------------------------------------------------------------------------------------------------
        //
        //---------------------------------------------------------------------------------------------------
        public FolderOperation(String name, OperationType type, WbfsPath[] directories)
            : base(name, type)
        {
            this.Directory = null;
            this.CurrentFile = null;
        }
    }
}
