﻿//-----------------------------------------------------------------------------------------------------------
// WBFSSync Project by Omega Frost 
// http://wbfssync.codeplex.com/
//
// WBFSSync is Licensed under the terms of the 
// Microsoft Reciprocal License (Ms-RL)
//-----------------------------------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WbfsSync.Controls
{
    //---------------------------------------------------------------------------------------------------
    //
    //---------------------------------------------------------------------------------------------------
    public class FileOpButton : Button
    {
        //---------------------------------------------------------------------------------------------------
        //
        //---------------------------------------------------------------------------------------------------
        public static readonly DependencyProperty Message0Property =
            DependencyProperty.Register("Message0", typeof(String), typeof(FileOpButton));


        //---------------------------------------------------------------------------------------------------
        //
        //---------------------------------------------------------------------------------------------------
        public String Message0
        {
            get { return (String)GetValue(Message0Property); }
            set { SetValue(Message0Property, value); }
        }


        //---------------------------------------------------------------------------------------------------
        //
        //---------------------------------------------------------------------------------------------------
        static FileOpButton()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(FileOpButton),
                new FrameworkPropertyMetadata(typeof(FileOpButton)));
        }
    }
}
