﻿//-----------------------------------------------------------------------------------------------------------
// WBFSSync Project by Omega Frost 
// http://wbfssync.codeplex.com/
//
// WBFSSync is Licensed under the terms of the 
// Microsoft Reciprocal License (Ms-RL)
//-----------------------------------------------------------------------------------------------------------
using System;

namespace WBFSe3.IO
{
    public enum WbfsFileState
    {
        Ok,             //The file exists and it's updated
        Error,          //An error occurred during an update
        NotAGame,       //The build failed in the magic verification

        Temporary,      //The file is not created yet

        NotUpdated,     //One of the files was modified after the last update
        
        Deleted,        //Fully deleted by the user
        Currupted,      //Some parts of the file are missing, thats a problem...
    }
}
