﻿//-----------------------------------------------------------------------------------------------------------
// WBFSSync Project by Omega Frost 
// http://wbfssync.codeplex.com/
//
// WBFSSync is Licensed under the terms of the 
// Microsoft Reciprocal License (Ms-RL)
//-----------------------------------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WBFSe3.Wbfs;

namespace WBFSe3.Interfaces
{
    //-------------------------------------------------------------------------------------------------------
    //
    //-------------------------------------------------------------------------------------------------------
    public interface IWbfsGameInfo
    {
        //---------------------------------------------------------------------------------------------------
        //
        //---------------------------------------------------------------------------------------------------
        String Name { get; }
        String Code { get; }
        WbfsRegion Region { get; }

        Boolean HasUpdate { get; }
        Boolean HasChannel { get; }

        long Length { get; }
        Boolean DoubleLayer { get; }
    }
}
